=== debian/changelog ===
gemrb (0.7.1maemo1) unstable; urgency=low
  New features
    -almost all iwd2 feats
    -encumbrance penalties in movement
    -configurable xp/damage adjustments per difficulty level
    -support for logging to file directly
    -iwd2 armor penalty and critical hit multiplier
    -beginnings of iwd2 spellbook support
    -vlc plugin for extra video formats
  Improved features
    -(iwd2) effects, actions, combat, action bar, infravision
    -sdl renderer and an initial sdl2 port
    -config loading, logging
    -cocoa wrapper and mac build, cursor handling, touch input
    -bugfixes

  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Fri, 27 Jul 2012 15:43:41 -0300
