## gemrb 0.7.2maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
 	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX} )
 	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX} )
 	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX} )
+	SET_PATH( EXAMPLE_CONF_DIR ${CMAKE_INSTALL_PREFIX} )
 elseif (${LAYOUT} MATCHES "fhs")
 	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib/gemrb )
 	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
@@ -93,6 +94,7 @@
 	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
 	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
 	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
+	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
 elseif (${LAYOUT} MATCHES "opt")
 	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib )
 	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
@@ -104,6 +106,7 @@
 	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
 	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
 	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
+	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
 else (${LAYOUT} MATCHES "library") # mac
 	SET_PATH( APPLICATION_SUPPORT $ENV{HOME}/Library/Application\ Support/GemRB)
 	SET_PATH( LIB_DIR ${APPLICATION_SUPPORT}) #should go in app bundle!
@@ -116,6 +119,7 @@
 	SET_PATH( ICON_DIR ${APPLICATION_SUPPORT}/share/pixmaps )
 	SET_PATH( SVG_DIR ${APPLICATION_SUPPORT}/share/icons/hicolor/scalable/apps )
 	SET_PATH( MENU_DIR ${APPLICATION_SUPPORT}/share/applications )
+	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
 endif (${LAYOUT} MATCHES "home")
 
 # check if this is a release version
@@ -133,7 +137,7 @@
 
 IF(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
 	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
-		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=cast-align")
 	endif ()
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
@@ -157,7 +161,11 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
 
 # Check for all the required and optional dependencies
-INCLUDE(FindPythonLibs)
+IF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
+	FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
+ELSE((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
+	INCLUDE(FindPythonLibs)
+ENDIF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
 IF(PYTHONLIBS_FOUND)
 	MESSAGE(STATUS "Looking for Python libraries and headers: found")
 ELSE()
@@ -211,12 +219,12 @@
 	MESSAGE(WARNING "If you want to build the VLC plugin, install VLC first.")
 ENDIF()
 
-INCLUDE(FindSDL_ttf)
-IF(SDLTTF_FOUND)
-	MESSAGE(STATUS "Looking for SDL_ttf: found")
-ELSE()
-	MESSAGE(WARNING "Looking for SDL_ttf: not found!")
-	MESSAGE(WARNING "If you want to build the SDL_ttf plugin, install SDL_ttf first.")
+INCLUDE(FindFreetype)
+IF(FREETYPE_FOUND)
+	MESSAGE(STATUS "Looking for Freetype: found")
+ELSE()
+	MESSAGE(WARNING "Looking for Freetype: not found!")
+	MESSAGE(WARNING "If you want to build the TTF plugin, install Freetype first.")
 ENDIF()
 
 INCLUDE(FindPNG)
@@ -323,19 +331,10 @@
 		endif (APPLE)
 	endif (${ARGV1} STREQUAL "COCOA")
 
-        if (STATIC_LINK)
-                ADD_LIBRARY(${plugin_name} STATIC ${PLUGIN_BUILD_FILES})
-                set(plugins "${plugins};${plugin_name}" PARENT_SCOPE)
-        else (STATIC_LINK)
-                ADD_LIBRARY(${plugin_name} MODULE ${PLUGIN_BUILD_FILES})
-                if (NOT UNSAFE_PLUGIN)
-                        TARGET_LINK_LIBRARIES(${plugin_name} gemrb_core ${CMAKE_THREAD_LIBS_INIT})
-                endif (NOT UNSAFE_PLUGIN)
-                INSTALL(TARGETS ${plugin_name} DESTINATION ${PLUGIN_DIR})
-        endif (STATIC_LINK)
-        SET_TARGET_PROPERTIES(${plugin_name} PROPERTIES PREFIX ""
-                INSTALL_RPATH ${LIB_DIR}
-                LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/gemrb/plugins)
-ENDMACRO(ADD_GEMRB_PLUGIN)
-
-#gemrb overrides macro
+	if (STATIC_LINK)
+		ADD_LIBRARY(${plugin_name} STATIC ${PLUGIN_BUILD_FILES})
+		set(plugins "${plugins};${plugin_name}" PARENT_SCOPE)
+	else (STATIC_LINK)
+		ADD_LIBRARY(${plugin_name} MODULE ${PLUGIN_BUILD_FILES})
+		if (NOT UNSAFE_PLUGIN)
+			TARGET_LINK_LIBRARIES(${plugin_name} gemrb_core ${CMAKE_THREAD_LIBS_INIT})
