=== gemrb/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	SET(MACOSX_BUNDLE_ICON_FILE gemrb)
 	ADD_EXECUTABLE(gemrb MACOSX_BUNDLE ../apple/CocoaWrapper/mac/CocoaWrapper.mm ../apple/AppleLogger.mm ../artwork/gemrb.icns)
 	SET (BUNDLE_LOADER "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/MacOS/${PROJECT_NAME}") # BUNDLE_LOADER is used by plugins needing to extend the cocoa wrapper (SDLVideo).
-	SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -bundle_loader ${BUNDLE_LOADER}")
+	SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -bundle_loader \"${BUNDLE_LOADER}\"")
 ELSE(APPLE)
 	ADD_EXECUTABLE(gemrb GemRB.cpp )
 ENDIF(APPLE)
@@ -19,7 +19,7 @@
 ADD_SUBDIRECTORY( tests )
 IF (APPLE)
 	# GUIScripts ALWAYS get copied to the App bundle
-	SET( DATA_DIR ${BIN_DIR}/${PROJECT_NAME}.app/Contents/Resources/ )
+	SET( DATA_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Resources/" )
 ENDIF(APPLE)
 ADD_SUBDIRECTORY( override )
 ADD_SUBDIRECTORY( GUIScripts )
@@ -56,4 +56,4 @@
 )
 
 INSTALL( TARGETS gemrb DESTINATION ${BIN_DIR} )
-INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample" GemRB.cfg.noinstall.sample DESTINATION ${SYSCONF_DIR} )
+INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample" GemRB.cfg.noinstall.sample DESTINATION ${EXAMPLE_CONF_DIR} )
