=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -125,9 +125,9 @@
 	System/DataStream.cpp
 	System/FileStream.cpp
 	System/MemoryStream.cpp
-	System/StringBuffer.cpp
 	System/Logger.cpp
 	System/Logger/File.cpp
+	System/Logger/MessageWindowLogger.cpp
 	System/Logger/Stdio.cpp
 	System/Logging.cpp
 	System/SlicedStream.cpp
@@ -141,6 +141,7 @@
 	ADD_LIBRARY(gemrb_core STATIC ${gemrb_core_LIB_SRCS})
 else (STATIC_LINK)
 	ADD_LIBRARY(gemrb_core SHARED ${gemrb_core_LIB_SRCS})
+	TARGET_LINK_LIBRARIES(gemrb_core ${CMAKE_DL_LIBS})
 	IF(WIN32)
 	  INSTALL(TARGETS gemrb_core RUNTIME DESTINATION ${LIB_DIR})
 	ELSE(WIN32)
