=== gemrb/override/bg1/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (bg1)
