=== gemrb/plugins/TTFImporter/CMakeLists.txt ===
IF (FREETYPE_LIBRARY)
	INCLUDE_DIRECTORIES( ${FREETYPE_INCLUDE_DIRS})

	ADD_GEMRB_PLUGIN (TTFImporter TTFFontManager.cpp )
	TARGET_LINK_LIBRARIES( TTFImporter ${FREETYPE_LIBRARY} )
ENDIF (FREETYPE_LIBRARY)
