=== debian/changelog ===
gemrb (0.7.2maemo1) unstable; urgency=low
  New features
    -configuration changes are now saved to gem-baldur.ini (or equivalent)
    -GemRB now asks for confirmation when exiting
    -output can now be shown in the ingame message window (run debug(5))
    -ToBEx flags for effect damage: bypass mirror image, ignore difficulty
    -SDL2 software keyboard
  Improved features
    -custom dialog.tlk encoding support
    -fonts, effect icons, initials, chapter text
    -option windows
    -actions, triggers, effects, invisibility handling
    -assorted bugfixes

  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Thu, 24 Jan 2013 12:23:00 -0300
