## gemrb 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	if (WIN32)
 		set(LAYOUT "home")
 	elseif (APPLE)
-		set(LAYOUT "library")
+		set(LAYOUT "bundle")
 		# favor mac frameworks over unix libraries
 		set(CMAKE_FIND_FRAMEWORK FIRST)
 	else (APPLE)
@@ -107,19 +107,13 @@
 	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
 	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
 	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
-else (${LAYOUT} MATCHES "library") # mac
-	SET_PATH( APPLICATION_SUPPORT $ENV{HOME}/Library/Application\ Support/GemRB)
-	SET_PATH( LIB_DIR ${APPLICATION_SUPPORT}) #should go in app bundle!
-	SET_PATH( PLUGIN_DIR ${APPLICATION_SUPPORT}/plugins )
-	SET_PATH( DATA_DIR ${APPLICATION_SUPPORT} )
-	SET_PATH( MAN_DIR /usr/share/man/man6 )
+else (${LAYOUT} MATCHES "bundle") # Mac or iOS
+	# most paths are irrelevant since the items will be bundled with application
 	SET_PATH( BIN_DIR /Applications )
-	SET_PATH( SYSCONF_DIR ${APPLICATION_SUPPORT})
-	SET_PATH( DOC_DIR ${APPLICATION_SUPPORT} )
-	SET_PATH( ICON_DIR ${APPLICATION_SUPPORT}/share/pixmaps )
-	SET_PATH( SVG_DIR ${APPLICATION_SUPPORT}/share/icons/hicolor/scalable/apps )
-	SET_PATH( MENU_DIR ${APPLICATION_SUPPORT}/share/applications )
-	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
+	# TODO: these should be copied during build and not install.
+	SET_PATH( LIB_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Frameworks" )
+	SET_PATH( PLUGIN_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Plugins" )
+	SET_PATH( DOC_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Resources" )
 endif (${LAYOUT} MATCHES "home")
 
 # check if this is a release version
@@ -222,6 +216,12 @@
 INCLUDE(FindFreetype)
 IF(FREETYPE_FOUND)
 	MESSAGE(STATUS "Looking for Freetype: found")
+	INCLUDE(FindICONV)
+	IF(NOT ICONV_FOUND)
+		MESSAGE(WARNING "Iconv not found. TTF plugin will not be able to translate non-unicode compatible TLK encodings.")
+	ELSE()
+		set(HAVE_ICONV)
+	ENDIF()
 ELSE()
 	MESSAGE(WARNING "Looking for Freetype: not found!")
 	MESSAGE(WARNING "If you want to build the TTF plugin, install Freetype first.")
@@ -254,7 +254,8 @@
 
 # On Release builds cmake automatically defines NDEBUG, so we
 # explicitly undefine it:
-if(CMAKE_BUILD_TYPE STREQUAL "Release" AND NOT MSVC)
+# This matches stripped (Release) and nonstripped (RelWithDebInfo) builds
+if(CMAKE_BUILD_TYPE MATCHES "Rel.*" AND NOT MSVC)
 	ADD_DEFINITIONS("-UNDEBUG")
 endif()
 
@@ -276,6 +277,8 @@
 
 INCLUDE (CheckFunctionExists)
 CHECK_FUNCTION_EXISTS("strndup" HAVE_STRNDUP)
+CHECK_FUNCTION_EXISTS("strlcpy", HAVE_STRLCPY)
+CHECK_FUNCTION_EXISTS("setenv" HAVE_SETENV)
 
 CHECK_INCLUDE_FILES("unistd.h" HAVE_UNISTD_H)
 CHECK_INCLUDE_FILES("malloc.h" HAVE_MALLOC_H)
@@ -296,9 +299,17 @@
 ENDIF(NOT WIN32)
 
 IF(APPLE)
+	# Make sure we can find the 'ibtool' program. we need it to compile xibs
+	find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
+	IF (${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")
+  		MESSAGE (FATAL_ERROR "ibtool can not be found and is needed to compile the .xib files. It should have been installed with 
+                    the Apple developer tools. The default system paths were searched in addition to ${OSX_DEVELOPER_ROOT}/usr/bin")
+	ENDIF ()
+
 	ADD_DEFINITIONS("-x objective-c++")
 	INCLUDE_DIRECTORIES(apple)
 	FIND_LIBRARY(COCOA_LIBRARY_PATH Cocoa)
+	FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
 	# for objective-c++
 	SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTARGET_OS_MAC")
 	# for pure objective-c
@@ -321,20 +332,3 @@
 	if (${ARGV1} STREQUAL "COCOA")
 		LIST(REMOVE_ITEM PLUGIN_BUILD_FILES "COCOA")
 		#this is an Apple thing
-		if (APPLE)
-			SET_SOURCE_FILES_PROPERTIES(
-				CocoaWrapper.m
-				PROPERTIES LANGUAGE C
-			)
-			message(STATUS "Will link ${plugin_name} plugin to: ${BUNDLE_LOADER}")
-			SET (PLUGIN_BUILD_FILES ${PLUGIN_BUILD_FILES} CocoaWrapper.m)
-		endif (APPLE)
-	endif (${ARGV1} STREQUAL "COCOA")
-
-	if (STATIC_LINK)
-		ADD_LIBRARY(${plugin_name} STATIC ${PLUGIN_BUILD_FILES})
-		set(plugins "${plugins};${plugin_name}" PARENT_SCOPE)
-	else (STATIC_LINK)
-		ADD_LIBRARY(${plugin_name} MODULE ${PLUGIN_BUILD_FILES})
-		if (NOT UNSAFE_PLUGIN)
-			TARGET_LINK_LIBRARIES(${plugin_name} gemrb_core ${CMAKE_THREAD_LIBS_INIT})
