=== debian/changelog ===
gemrb (0.8.0-1) unstable; urgency=low

  * First packaging for Debian (Closes: #658887)

 -- Beren Minor <beren.minor+debian@gmail.com>  Tue, 03 Sep 2013 20:50:57 +0200
