## gemrb 0.8.0maemo1

=== debian/changelog ===
gemrb (0.8.0maemo1) unstable; urgency=low
  New features
    -iwd2: Chapter 0+1 completable, full spellbook and ECL support
    -multibyte font support (chinese, korean, japanese)
    -favourite weapon/spell tracking, bg1 dreams
    -most gemrb overrides were moved and are now moddable via game override
    -initial bundled gemrb demo stubs

  Improved features
    -random encounters and spawns (properly difficult)
    -iwd2 combat, stats, spells, skills, effects and actions
    -animations, speech, input
    -looting, worldmap, hotkeys (work everywhere), fatigue
    -bugfixes

  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Wed, 8 May 2013 20:22:00 -0300
